Get voice bot call details for a customer message
Get voice bot call details for a customer message
Path Parameters
customerUUID string required
messageUUID string required
Responses
- 200
OK
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
id string
dealerUuid string
departmentUuid string
userUuid string
customerUuid string
messageUuid string
version string
botPlacement string
agentType string
predictions object
resolved boolean
flowStates string[]
phoneNumber object
optedInOverCall boolean
optOutState string
Possible values: [OPTED_OUT, OPTED_IN]
duration int32
appointmentUuid string
liveAgentHandoff object
code string
reason string
source string
existingAppointmentUuid string
createTimestamp date-time
updateTimestamp date-time
texting object
assistMessageUuid string
appointmentBooking object
advisorSelection object
previousAdvisorUserUuid string
userUuid string
appointmentCancellation object
reason string
appointmentModification object
modifications string[]
feedback object
raw string
rating string
callReport object
property name* object
capturedDetails object
customer object
firstName string
lastName string
company string
isBusiness boolean
vehicle object
vehicleUuid string
vin string
vehicleYear string
vehicleMake string
vehicleModel string
vehicleTrim string
services object[]
operationUuid string
title string
description string
isCustomConcern boolean
transportOption object
transportOptionUuid string
optionName string
customName string
receptionistRouting object
routedTargetType string
routedDepartmentUuid string
routedDepartmentName string
routedUserUuid string
defaultedToService boolean
fallbackRouted boolean
{
"id": "string",
"dealerUuid": "string",
"departmentUuid": "string",
"userUuid": "string",
"customerUuid": "string",
"messageUuid": "string",
"version": "string",
"botPlacement": "string",
"agentType": "string",
"predictions": {
"resolved": true
},
"flowStates": [
"string"
],
"phoneNumber": {
"optedInOverCall": true,
"optOutState": "OPTED_OUT"
},
"duration": 0,
"appointmentUuid": "string",
"liveAgentHandoff": {
"code": "string",
"reason": "string",
"source": "string"
},
"existingAppointmentUuid": "string",
"createTimestamp": "2026-10-27T06:58:47.608Z",
"updateTimestamp": "2026-10-27T06:58:47.608Z",
"texting": {
"assistMessageUuid": "string"
},
"appointmentBooking": {
"advisorSelection": {
"previousAdvisorUserUuid": "string",
"userUuid": "string"
}
},
"appointmentCancellation": {
"reason": "string"
},
"appointmentModification": {
"modifications": [
"string"
]
},
"feedback": {
"raw": "string",
"rating": "string"
},
"callReport": {},
"capturedDetails": {
"customer": {
"firstName": "string",
"lastName": "string",
"company": "string",
"isBusiness": true
},
"vehicle": {
"vehicleUuid": "string",
"vin": "string",
"vehicleYear": "string",
"vehicleMake": "string",
"vehicleModel": "string",
"vehicleTrim": "string"
},
"services": [
{
"operationUuid": "string",
"title": "string",
"description": "string",
"isCustomConcern": true
}
],
"transportOption": {
"transportOptionUuid": "string",
"optionName": "string",
"customName": "string"
}
},
"receptionistRouting": {
"routedTargetType": "string",
"routedDepartmentUuid": "string",
"routedDepartmentName": "string",
"routedUserUuid": "string",
"defaultedToService": true,
"fallbackRouted": true
}
}
Loading...